<?php

    //
    // Copyright (c) 2002-2003 Zyneo HB. (http://www.zyneo.com)
    // See LICENSE distributed with this package for more information.
    //

    /**
     * $Id: sms-handler.php,v 1.1.1.1 2003/03/27 10:27:43 maro Exp $
     *
     * This page handles incoming SMS posted by the gateway.
     *
     * Incoming SMS are in this example only serialized to a file 'sms.arr' for
     * simplicity describing one way to handle posts made by the gateway.
     *
     * Preferrably the messages should be stored in a database.
     *
     * NOTE!
     * To make this work, the user that runs the webserver must have proper
     * privileges to write to the file 'sms.arr' which will end up in
     * '_DOCROOT', see 'config.inc'.
     *
     * This page is and should be considered as a SAMPLE and not to be used in 
     * a production environment. 
     *
     * @author Magnus Rosenquist, Zyneo
     * 
     */
    
     $params = $HTTP_POST_VARS;
     $smsFile = "sms.arr";
     
     function storeSMS($params)
     {
        global $smsFile;
        $sms = array();
        $sms["to"] = $params["to"];
        $sms["from"] = $params["from"];
        $sms["message"] = $params["message"];
        $sms["received"] = $params["received"];
        
        if ( ($fp = @fopen($smsFile, "r")) != false)
        {
            $arr = unserialize(fread($fp, 256000));
            fclose($fp);
            $len = count($arr);
            $arr[$len+1] = $sms;
            $fp = fopen($smsFile, "w");
            fputs($fp, serialize($arr));
            fclose($fp);
        }
        else
        {
            $arr = array();
            $arr[0] = $sms;
            $fp = fopen($smsFile, "w");
            fputs($fp, serialize($arr));
            fclose($fp);        
        }
        
     }
     
     
     
     
     
     if ( $params["to"] != "" )
     {
        storeSMS($params);
     }
    
?>
